import { CdsInternalControlGroup } from '@clr/core/forms';
import { CdsCheckbox } from './checkbox.element.js';
/**
 * Checkbox Group
 *
 * ```typescript
 * import '@clr/core/checkbox';
 * ```
 *
 * ```html
 * <cds-checkbox-group>
 *   <label>Select an item</label>
 *   <cds-checkbox>
 *     <label>Test</label>
 *     <input type="checkbox" />
 *   </cds-checkbox>
 *
 *   <cds-checkbox>
 *     <label>Test</label>
 *     <input type="checkbox" />
 *   </cds-checkbox>
 * </cds-checkbox-group>
 * ```
 *
 * @element cds-checkbox-group
 * @slot - For projecting checkbox controls
 */
export declare class CdsCheckboxGroup extends CdsInternalControlGroup {
    protected controls: NodeListOf<CdsCheckbox>;
}
