import { CdsInternalControlInline } from '@clr/core/forms';
/**
 * Checkbox
 *
 * ```typescript
 * import '@clr/core/checkbox/register.js';
 * ```
 *
 * ```html
 * <cds-checkbox>
 *   <label>checkbox</label>
 *   <input type="checkbox" />
 *   <cds-control-message>message text</cds-control-message>
 * </cds-checkbox>
 * ```
 *
 * @element cds-checkbox
 * @slot - For projecting checkbox
 * @cssprop --color
 * @cssprop --check-color
 * @cssprop --background
 * @cssprop --border-radius
 */
export declare class CdsCheckbox extends CdsInternalControlInline {
    protected checked: boolean;
    protected indeterminate: boolean;
    static get styles(): import("lit-element").CSSResult[];
    firstUpdated(props: Map<string, any>): void;
    private listenForIndeterminateState;
}
