import { CdsIcon } from '@clr/core/icon/icon.element.js';
import { CdsBaseButton } from '@clr/core/internal';
/**
 * Control Action
 *
 * ```typescript
 * import '@clr/core/forms/register.js';
 * ```
 *
 * ```html
 * <cds-control-action>
 *
 * </cds-control-action>
 * ```
 * @internal
 * @element cds-control-action
 * @slot - For projecting text content or cds-icon
 */
export declare class CdsControlAction extends CdsBaseButton {
    /** Set the action type placement within the supporting input control */
    action: 'label' | 'prefix' | 'suffix';
    protected icon: CdsIcon;
    static get styles(): import("lit-element").CSSResult[];
    render(): import("lit-element").TemplateResult;
    connectedCallback(): void;
    updated(props: Map<string, any>): void;
    setSlotLocation(): void;
    private validateAriaLabel;
}
