import { IconAlias, IconShapeTuple } from '../interfaces/icon.interfaces.js';
import { bankIconName } from '../shapes/bank.js';
import { bitcoinIconName } from '../shapes/bitcoin.js';
import { calculatorIconName } from '../shapes/calculator.js';
import { coinBagIconName } from '../shapes/coin-bag.js';
import { creditCardIconName } from '../shapes/credit-card.js';
import { dollarBillIconName } from '../shapes/dollar-bill.js';
import { dollarIconName } from '../shapes/dollar.js';
import { eCheckIconName } from '../shapes/e-check.js';
import { employeeGroupIconName } from '../shapes/employee-group.js';
import { employeeIconName } from '../shapes/employee.js';
import { euroIconName } from '../shapes/euro.js';
import { factoryIconName } from '../shapes/factory.js';
import { pesoIconName } from '../shapes/peso.js';
import { piggyBankIconName } from '../shapes/piggy-bank.js';
import { poundIconName } from '../shapes/pound.js';
import { rubleIconName } from '../shapes/ruble.js';
import { rupeeIconName } from '../shapes/rupee.js';
import { shoppingBagIconName } from '../shapes/shopping-bag.js';
import { shoppingCartIconName } from '../shapes/shopping-cart.js';
import { storeIconName } from '../shapes/store.js';
import { walletIconName } from '../shapes/wallet.js';
import { wonIconName } from '../shapes/won.js';
import { yenIconName } from '../shapes/yen.js';
export declare const commerceCollectionIcons: IconShapeTuple[];
export declare const commerceCollectionAliases: IconAlias[];
/**
 * Function that can be called to load the core icon set.
 *
 * ```typescript
 * import '@clr/core/icon/register.js';
 * import { loadCommerceIconSet } from '@clr/core/icon';
 *
 * loadCommerceIconSet();
 * ```
 *
 */
export declare function loadCommerceIconSet(): void;
declare module '@clr/core/internal' {
    interface IconRegistrySources {
        [bankIconName]: string;
        [bitcoinIconName]: string;
        [calculatorIconName]: string;
        [coinBagIconName]: string;
        [creditCardIconName]: string;
        [dollarIconName]: string;
        [dollarBillIconName]: string;
        [eCheckIconName]: string;
        [employeeIconName]: string;
        [employeeGroupIconName]: string;
        [euroIconName]: string;
        [factoryIconName]: string;
        [pesoIconName]: string;
        [piggyBankIconName]: string;
        [poundIconName]: string;
        [rubleIconName]: string;
        [rupeeIconName]: string;
        [shoppingBagIconName]: string;
        [shoppingCartIconName]: string;
        [storeIconName]: string;
        [walletIconName]: string;
        [wonIconName]: string;
        [yenIconName]: string;
    }
}
