import { IconAlias, IconShapeTuple } from '../interfaces/icon.interfaces.js';
import { angleDoubleIconName } from '../shapes/angle-double.js';
import { angleIconName } from '../shapes/angle.js';
import { arrowIconName } from '../shapes/arrow.js';
import { barsIconName } from '../shapes/bars.js';
import { bellIconName } from '../shapes/bell.js';
import { calendarIconName } from '../shapes/calendar.js';
import { checkCircleIconName } from '../shapes/check-circle.js';
import { checkIconName } from '../shapes/check.js';
import { cloudIconName } from '../shapes/cloud.js';
import { cogIconName } from '../shapes/cog.js';
import { ellipsisHorizontalIconName } from '../shapes/ellipsis-horizontal.js';
import { ellipsisVerticalIconName } from '../shapes/ellipsis-vertical.js';
import { errorStandardIconName } from '../shapes/error-standard.js';
import { eventIconName } from '../shapes/event.js';
import { exclamationCircleIconName } from '../shapes/exclamation-circle.js';
import { exclamationTriangleIconName } from '../shapes/exclamation-triangle.js';
import { eyeHideIconName } from '../shapes/eye-hide.js';
import { eyeIconName } from '../shapes/eye.js';
import { filterGridCircleIconName } from '../shapes/filter-grid-circle.js';
import { filterGridIconName } from '../shapes/filter-grid.js';
import { folderOpenIconName } from '../shapes/folder-open.js';
import { folderIconName } from '../shapes/folder.js';
import { helpInfoIconName } from '../shapes/help-info.js';
import { homeIconName } from '../shapes/home.js';
import { imageIconName } from '../shapes/image.js';
import { infoCircleIconName } from '../shapes/info-circle.js';
import { infoStandardIconName } from '../shapes/info-standard.js';
import { searchIconName } from '../shapes/search.js';
import { stepForward2IconName } from '../shapes/step-forward-2.js';
import { successStandardIconName } from '../shapes/success-standard.js';
import { timesIconName } from '../shapes/times.js';
import { unknownStatusIconName } from '../shapes/unknown-status.js';
import { unknownIconName } from '../shapes/unknown.js';
import { userIconName } from '../shapes/user.js';
import { viewColumnsIconName } from '../shapes/view-columns.js';
import { vmBugInverseIconName } from '../shapes/vm-bug-inverse.js';
import { vmBugIconName } from '../shapes/vm-bug.js';
import { warningStandardIconName } from '../shapes/warning-standard.js';
export declare const coreCollectionIcons: IconShapeTuple[];
export declare const coreCollectionAliases: IconAlias[];
/**
 * Function that can be called to load the core icon set.
 *
 * ```typescript
 * import '@clr/core/icon/register.js';
 * import { loadCoreIconSet } from '@clr/core/icon';
 *
 * loadCoreIconSet();
 * ```
 *
 */
export declare function loadCoreIconSet(): void;
declare module '@clr/core/internal' {
    interface IconRegistrySources {
        [unknownIconName]: string;
        [angleIconName]: string;
        [angleDoubleIconName]: string;
        [arrowIconName]: string;
        [barsIconName]: string;
        [bellIconName]: string;
        [calendarIconName]: string;
        [checkIconName]: string;
        [checkCircleIconName]: string;
        [cloudIconName]: string;
        [cogIconName]: string;
        [ellipsisHorizontalIconName]: string;
        [ellipsisVerticalIconName]: string;
        [errorStandardIconName]: string;
        [eventIconName]: string;
        [exclamationCircleIconName]: string;
        [exclamationTriangleIconName]: string;
        [eyeIconName]: string;
        [eyeHideIconName]: string;
        [filterGridIconName]: string;
        [filterGridCircleIconName]: string;
        [folderIconName]: string;
        [folderOpenIconName]: string;
        [helpInfoIconName]: string;
        [homeIconName]: string;
        [imageIconName]: string;
        [infoCircleIconName]: string;
        [infoStandardIconName]: string;
        [searchIconName]: string;
        [stepForward2IconName]: string;
        [successStandardIconName]: string;
        [timesIconName]: string;
        [unknownStatusIconName]: string;
        [userIconName]: string;
        [viewColumnsIconName]: string;
        [vmBugIconName]: string;
        [vmBugInverseIconName]: string;
        [warningStandardIconName]: string;
    }
}
