import { IconAlias, IconShapeTuple } from '../interfaces/icon.interfaces.js';
import { accessibility1IconName } from '../shapes/accessibility-1.js';
import { accessibility2IconName } from '../shapes/accessibility-2.js';
import { addTextIconName } from '../shapes/add-text.js';
import { alarmClockIconName } from '../shapes/alarm-clock.js';
import { alarmOffIconName } from '../shapes/alarm-off.js';
import { asteriskIconName } from '../shapes/asterisk.js';
import { banIconName } from '../shapes/ban.js';
import { betaIconName } from '../shapes/beta.js';
import { boltIconName } from '../shapes/bolt.js';
import { bookIconName } from '../shapes/book.js';
import { briefcaseIconName } from '../shapes/briefcase.js';
import { bubbleExclamationIconName } from '../shapes/bubble-exclamation.js';
import { bugIconName } from '../shapes/bug.js';
import { bullseyeIconName } from '../shapes/bullseye.js';
import { childArrowIconName } from '../shapes/child-arrow.js';
import { circleArrowIconName } from '../shapes/circle-arrow.js';
import { circleIconName } from '../shapes/circle.js';
import { clipboardIconName } from '../shapes/clipboard.js';
import { clockIconName } from '../shapes/clock.js';
import { cloneIconName } from '../shapes/clone.js';
import { collapseCardIconName } from '../shapes/collapse-card.js';
import { colorPaletteIconName } from '../shapes/color-palette.js';
import { colorPickerIconName } from '../shapes/color-picker.js';
import { copyToClipboardIconName } from '../shapes/copy-to-clipboard.js';
import { copyIconName } from '../shapes/copy.js';
import { crosshairsIconName } from '../shapes/crosshairs.js';
import { cursorArrowIconName } from '../shapes/cursor-arrow.js';
import { cursorHandClickIconName } from '../shapes/cursor-hand-click.js';
import { cursorHandGrabIconName } from '../shapes/cursor-hand-grab.js';
import { cursorHandOpenIconName } from '../shapes/cursor-hand-open.js';
import { cursorHandIconName } from '../shapes/cursor-hand.js';
import { cursorMoveIconName } from '../shapes/cursor-move.js';
import { detailsIconName } from '../shapes/details.js';
import { dotCircleIconName } from '../shapes/dot-circle.js';
import { downloadIconName } from '../shapes/download.js';
import { dragHandleCornerIconName } from '../shapes/drag-handle-corner.js';
import { dragHandleIconName } from '../shapes/drag-handle.js';
import { eraserIconName } from '../shapes/eraser.js';
import { expandCardIconName } from '../shapes/expand-card.js';
import { fileGroupIconName } from '../shapes/file-group.js';
import { fileSettingsIconName } from '../shapes/file-settings.js';
import { fileZipIconName } from '../shapes/file-zip.js';
import { fileIconName } from '../shapes/file.js';
import { filter2IconName } from '../shapes/filter-2.js';
import { filterOffIconName } from '../shapes/filter-off.js';
import { filterIconName } from '../shapes/filter.js';
import { firewallIconName } from '../shapes/firewall.js';
import { firstAidIconName } from '../shapes/first-aid.js';
import { fishIconName } from '../shapes/fish.js';
import { flameIconName } from '../shapes/flame.js';
import { formIconName } from '../shapes/form.js';
import { fuelIconName } from '../shapes/fuel.js';
import { gridViewIconName } from '../shapes/grid-view.js';
import { helpIconName } from '../shapes/help.js';
import { historyIconName } from '../shapes/history.js';
import { hourglassIconName } from '../shapes/hourglass.js';
import { idBadgeIconName } from '../shapes/id-badge.js';
import { keyIconName } from '../shapes/key.js';
import { landscapeIconName } from '../shapes/landscape.js';
import { libraryIconName } from '../shapes/library.js';
import { lightbulbIconName } from '../shapes/lightbulb.js';
import { listIconName } from '../shapes/list.js';
import { lockIconName } from '../shapes/lock.js';
import { loginIconName } from '../shapes/login.js';
import { logoutIconName } from '../shapes/logout.js';
import { minusCircleIconName } from '../shapes/minus-circle.js';
import { minusIconName } from '../shapes/minus.js';
import { moonIconName } from '../shapes/moon.js';
import { newIconName } from '../shapes/new.js';
import { noAccessIconName } from '../shapes/no-access.js';
import { noteIconName } from '../shapes/note.js';
import { objectsIconName } from '../shapes/objects.js';
import { organizationIconName } from '../shapes/organization.js';
import { paperclipIconName } from '../shapes/paperclip.js';
import { pasteIconName } from '../shapes/paste.js';
import { pencilIconName } from '../shapes/pencil.js';
import { pinIconName } from '../shapes/pin.js';
import { pinboardIconName } from '../shapes/pinboard.js';
import { plusCircleIconName } from '../shapes/plus-circle.js';
import { plusIconName } from '../shapes/plus.js';
import { popOutIconName } from '../shapes/pop-out.js';
import { portraitIconName } from '../shapes/portrait.js';
import { printerIconName } from '../shapes/printer.js';
import { recycleIconName } from '../shapes/recycle.js';
import { redoIconName } from '../shapes/redo.js';
import { refreshIconName } from '../shapes/refresh.js';
import { repeatIconName } from '../shapes/repeat.js';
import { resizeIconName } from '../shapes/resize.js';
import { scissorsIconName } from '../shapes/scissors.js';
import { scrollIconName } from '../shapes/scroll.js';
import { shrinkIconName } from '../shapes/shrink.js';
import { sliderIconName } from '../shapes/slider.js';
import { snowflakeIconName } from '../shapes/snowflake.js';
import { sortByIconName } from '../shapes/sort-by.js';
import { sunIconName } from '../shapes/sun.js';
import { switchIconName } from '../shapes/switch.js';
import { syncIconName } from '../shapes/sync.js';
import { tableIconName } from '../shapes/table.js';
import { tagIconName } from '../shapes/tag.js';
import { tagsIconName } from '../shapes/tags.js';
import { targetIconName } from '../shapes/target.js';
import { thermometerIconName } from '../shapes/thermometer.js';
import { timesCircleIconName } from '../shapes/times-circle.js';
import { toolsIconName } from '../shapes/tools.js';
import { trashIconName } from '../shapes/trash.js';
import { treeViewIconName } from '../shapes/tree-view.js';
import { treeIconName } from '../shapes/tree.js';
import { twoWayArrowsIconName } from '../shapes/two-way-arrows.js';
import { undoIconName } from '../shapes/undo.js';
import { unlockIconName } from '../shapes/unlock.js';
import { uploadIconName } from '../shapes/upload.js';
import { usersIconName } from '../shapes/users.js';
import { viewCardsIconName } from '../shapes/view-cards.js';
import { viewListIconName } from '../shapes/view-list.js';
import { volumeIconName } from '../shapes/volume.js';
import { wandIconName } from '../shapes/wand.js';
import { windowCloseIconName } from '../shapes/window-close.js';
import { windowMaxIconName } from '../shapes/window-max.js';
import { windowMinIconName } from '../shapes/window-min.js';
import { windowRestoreIconName } from '../shapes/window-restore.js';
import { worldIconName } from '../shapes/world.js';
import { wrenchIconName } from '../shapes/wrench.js';
import { zoomInIconName } from '../shapes/zoom-in.js';
import { zoomOutIconName } from '../shapes/zoom-out.js';
export declare const essentialCollectionIcons: IconShapeTuple[];
export declare const essentialCollectionAliases: IconAlias[];
/**
 * Function that can be called to load the core icon set.
 *
 * ```typescript
 * import '@clr/core/icon/register.js';
 * import { loadEssentialIconSet } from '@clr/core/icon';
 *
 * loadEssentialIconSet();
 * ```
 *
 */
export declare function loadEssentialIconSet(): void;
declare module '@clr/core/internal' {
    interface IconRegistrySources {
        [accessibility1IconName]: string;
        [accessibility2IconName]: string;
        [addTextIconName]: string;
        [alarmClockIconName]: string;
        [alarmOffIconName]: string;
        [asteriskIconName]: string;
        [banIconName]: string;
        [betaIconName]: string;
        [boltIconName]: string;
        [bookIconName]: string;
        [briefcaseIconName]: string;
        [bubbleExclamationIconName]: string;
        [bugIconName]: string;
        [bullseyeIconName]: string;
        [childArrowIconName]: string;
        [circleIconName]: string;
        [circleArrowIconName]: string;
        [clipboardIconName]: string;
        [clockIconName]: string;
        [cloneIconName]: string;
        [collapseCardIconName]: string;
        [colorPaletteIconName]: string;
        [colorPickerIconName]: string;
        [copyIconName]: string;
        [copyToClipboardIconName]: string;
        [crosshairsIconName]: string;
        [cursorArrowIconName]: string;
        [cursorHandIconName]: string;
        [cursorHandClickIconName]: string;
        [cursorHandGrabIconName]: string;
        [cursorHandOpenIconName]: string;
        [cursorMoveIconName]: string;
        [detailsIconName]: string;
        [dotCircleIconName]: string;
        [downloadIconName]: string;
        [dragHandleIconName]: string;
        [dragHandleCornerIconName]: string;
        [eraserIconName]: string;
        [expandCardIconName]: string;
        [fileGroupIconName]: string;
        [fileIconName]: string;
        [fileSettingsIconName]: string;
        [fileZipIconName]: string;
        [filterIconName]: string;
        [filter2IconName]: string;
        [filterOffIconName]: string;
        [firewallIconName]: string;
        [firstAidIconName]: string;
        [fishIconName]: string;
        [flameIconName]: string;
        [formIconName]: string;
        [fuelIconName]: string;
        [gridViewIconName]: string;
        [helpIconName]: string;
        [historyIconName]: string;
        [hourglassIconName]: string;
        [idBadgeIconName]: string;
        [keyIconName]: string;
        [landscapeIconName]: string;
        [libraryIconName]: string;
        [lightbulbIconName]: string;
        [listIconName]: string;
        [lockIconName]: string;
        [loginIconName]: string;
        [logoutIconName]: string;
        [minusIconName]: string;
        [minusCircleIconName]: string;
        [moonIconName]: string;
        [newIconName]: string;
        [noAccessIconName]: string;
        [noteIconName]: string;
        [objectsIconName]: string;
        [organizationIconName]: string;
        [paperclipIconName]: string;
        [pasteIconName]: string;
        [pencilIconName]: string;
        [pinIconName]: string;
        [pinboardIconName]: string;
        [plusIconName]: string;
        [plusCircleIconName]: string;
        [popOutIconName]: string;
        [portraitIconName]: string;
        [printerIconName]: string;
        [recycleIconName]: string;
        [redoIconName]: string;
        [refreshIconName]: string;
        [repeatIconName]: string;
        [resizeIconName]: string;
        [scissorsIconName]: string;
        [scrollIconName]: string;
        [shrinkIconName]: string;
        [sliderIconName]: string;
        [snowflakeIconName]: string;
        [sortByIconName]: string;
        [sunIconName]: string;
        [switchIconName]: string;
        [syncIconName]: string;
        [tableIconName]: string;
        [tagIconName]: string;
        [tagsIconName]: string;
        [targetIconName]: string;
        [thermometerIconName]: string;
        [timesCircleIconName]: string;
        [trashIconName]: string;
        [toolsIconName]: string;
        [treeIconName]: string;
        [treeViewIconName]: string;
        [twoWayArrowsIconName]: string;
        [undoIconName]: string;
        [unlockIconName]: string;
        [uploadIconName]: string;
        [usersIconName]: string;
        [viewCardsIconName]: string;
        [viewListIconName]: string;
        [volumeIconName]: string;
        [wandIconName]: string;
        [windowCloseIconName]: string;
        [windowMaxIconName]: string;
        [windowMinIconName]: string;
        [windowRestoreIconName]: string;
        [worldIconName]: string;
        [wrenchIconName]: string;
        [zoomInIconName]: string;
        [zoomOutIconName]: string;
    }
}
