import { IconAlias, IconShapeTuple } from '../interfaces/icon.interfaces.js';
import { cameraIconName } from '../shapes/camera.js';
import { fastForwardIconName } from '../shapes/fast-forward.js';
import { filmStripIconName } from '../shapes/film-strip.js';
import { headphonesIconName } from '../shapes/headphones.js';
import { imageGalleryIconName } from '../shapes/image-gallery.js';
import { microphoneMuteIconName } from '../shapes/microphone-mute.js';
import { microphoneIconName } from '../shapes/microphone.js';
import { musicNoteIconName } from '../shapes/music-note.js';
import { pauseIconName } from '../shapes/pause.js';
import { playIconName } from '../shapes/play.js';
import { powerIconName } from '../shapes/power.js';
import { replayAllIconName } from '../shapes/replay-all.js';
import { replayOneIconName } from '../shapes/replay-one.js';
import { rewindIconName } from '../shapes/rewind.js';
import { shuffleIconName } from '../shapes/shuffle.js';
import { stepForwardIconName } from '../shapes/step-forward.js';
import { stopIconName } from '../shapes/stop.js';
import { videoCameraIconName } from '../shapes/video-camera.js';
import { videoGalleryIconName } from '../shapes/video-gallery.js';
import { volumeDownIconName } from '../shapes/volume-down.js';
import { volumeMuteIconName } from '../shapes/volume-mute.js';
import { volumeUpIconName } from '../shapes/volume-up.js';
export declare const mediaCollectionIcons: IconShapeTuple[];
export declare const mediaCollectionAliases: IconAlias[];
/**
 * Function that can be called to load the core icon set.
 *
 * ```typescript
 * import '@clr/core/icon/register.js';
 * import { loadMediaIconSet } from '@clr/core/icon';
 *
 * loadMediaIconSet();
 * ```
 *
 */
export declare function loadMediaIconSet(): void;
declare module '@clr/core/internal' {
    interface IconRegistrySources {
        [cameraIconName]: string;
        [fastForwardIconName]: string;
        [filmStripIconName]: string;
        [headphonesIconName]: string;
        [imageGalleryIconName]: string;
        [microphoneIconName]: string;
        [microphoneMuteIconName]: string;
        [musicNoteIconName]: string;
        [pauseIconName]: string;
        [playIconName]: string;
        [powerIconName]: string;
        [replayAllIconName]: string;
        [replayOneIconName]: string;
        [rewindIconName]: string;
        [shuffleIconName]: string;
        [stepForwardIconName]: string;
        [stopIconName]: string;
        [videoCameraIconName]: string;
        [videoGalleryIconName]: string;
        [volumeDownIconName]: string;
        [volumeMuteIconName]: string;
        [volumeUpIconName]: string;
    }
}
