import { IconAlias, IconShapeTuple } from '../interfaces/icon.interfaces.js';
import { arrowMiniIconName } from '../shapes/arrow-mini.js';
import { calendarMiniIconName } from '../shapes/calendar-mini.js';
import { checkCircleMiniIconName } from '../shapes/check-circle-mini.js';
import { checkMiniIconName } from '../shapes/check-mini.js';
import { errorMiniIconName } from '../shapes/error-mini.js';
import { eventMiniIconName } from '../shapes/event-mini.js';
import { filterGridCircleMiniIconName } from '../shapes/filter-grid-circle-mini.js';
import { filterGridMiniIconName } from '../shapes/filter-grid-mini.js';
import { infoCircleMiniIconName } from '../shapes/info-circle-mini.js';
import { timesMiniIconName } from '../shapes/times-mini.js';
import { warningMiniIconName } from '../shapes/warning-mini.js';
export declare const miniCollectionIcons: IconShapeTuple[];
export declare const miniCollectionAliases: IconAlias[];
/**
 * Function that can be called to load the mini icon set.
 *
 * ```typescript
 * import '@clr/core/icon/register.js';
 * import { loadMiniIconSet } from '@clr/core/icon';
 *
 * loadMiniIconSet();
 * ```
 *
 */
export declare function loadMiniIconSet(): void;
declare module '@clr/core/internal' {
    interface IconRegistrySources {
        [arrowMiniIconName]: string;
        [calendarMiniIconName]: string;
        [checkMiniIconName]: string;
        [checkCircleMiniIconName]: string;
        [errorMiniIconName]: string;
        [eventMiniIconName]: string;
        [filterGridMiniIconName]: string;
        [filterGridCircleMiniIconName]: string;
        [infoCircleMiniIconName]: string;
        [timesMiniIconName]: string;
        [warningMiniIconName]: string;
    }
}
