import { IconAlias, IconShapeTuple } from '../interfaces/icon.interfaces.js';
import { alignBottomIconName } from '../shapes/align-bottom.js';
import { alignCenterIconName } from '../shapes/align-center.js';
import { alignLeftTextIconName } from '../shapes/align-left-text.js';
import { alignLeftIconName } from '../shapes/align-left.js';
import { alignMiddleIconName } from '../shapes/align-middle.js';
import { alignRightTextIconName } from '../shapes/align-right-text.js';
import { alignRightIconName } from '../shapes/align-right.js';
import { alignTopIconName } from '../shapes/align-top.js';
import { blockQuoteIconName } from '../shapes/block-quote.js';
import { boldIconName } from '../shapes/bold.js';
import { bulletListIconName } from '../shapes/bullet-list.js';
import { centerTextIconName } from '../shapes/center-text.js';
import { checkboxListIconName } from '../shapes/checkbox-list.js';
import { fontSizeIconName } from '../shapes/font-size.js';
import { highlighterIconName } from '../shapes/highlighter.js';
import { indentIconName } from '../shapes/indent.js';
import { italicIconName } from '../shapes/italic.js';
import { justifyTextIconName } from '../shapes/justify-text.js';
import { languageIconName } from '../shapes/language.js';
import { numberListIconName } from '../shapes/number-list.js';
import { outdentIconName } from '../shapes/outdent.js';
import { paintRollerIconName } from '../shapes/paint-roller.js';
import { strikethroughIconName } from '../shapes/strikethrough.js';
import { subscriptIconName } from '../shapes/subscript.js';
import { superscriptIconName } from '../shapes/superscript.js';
import { textColorIconName } from '../shapes/text-color.js';
import { textIconName } from '../shapes/text.js';
import { underlineIconName } from '../shapes/underline.js';
export declare const textEditCollectionIcons: IconShapeTuple[];
export declare const textEditCollectionAliases: IconAlias[];
/**
 * Function that can be called to load the core icon set.
 *
 * ```typescript
 * import '@clr/core/icon/register.js';
 * import { loadTextEditIconSet } from '@clr/core/icon';
 *
 * loadTextEditIconSet();
 * ```
 *
 */
export declare function loadTextEditIconSet(): void;
declare module '@clr/core/internal' {
    interface IconRegistrySources {
        [alignBottomIconName]: string;
        [alignCenterIconName]: string;
        [alignLeftIconName]: string;
        [alignLeftTextIconName]: string;
        [alignMiddleIconName]: string;
        [alignRightIconName]: string;
        [alignRightTextIconName]: string;
        [alignTopIconName]: string;
        [blockQuoteIconName]: string;
        [boldIconName]: string;
        [bulletListIconName]: string;
        [centerTextIconName]: string;
        [checkboxListIconName]: string;
        [fontSizeIconName]: string;
        [highlighterIconName]: string;
        [indentIconName]: string;
        [italicIconName]: string;
        [justifyTextIconName]: string;
        [languageIconName]: string;
        [numberListIconName]: string;
        [outdentIconName]: string;
        [paintRollerIconName]: string;
        [strikethroughIconName]: string;
        [subscriptIconName]: string;
        [superscriptIconName]: string;
        [textIconName]: string;
        [textColorIconName]: string;
        [underlineIconName]: string;
    }
}
