import { IconAlias, IconShapeTuple } from '../interfaces/icon.interfaces.js';
import { airplaneIconName } from '../shapes/airplane.js';
import { bicycleIconName } from '../shapes/bicycle.js';
import { boatIconName } from '../shapes/boat.js';
import { campervanIconName } from '../shapes/campervan.js';
import { carIconName } from '../shapes/car.js';
import { caravanIconName } from '../shapes/caravan.js';
import { compassIconName } from '../shapes/compass.js';
import { ferryIconName } from '../shapes/ferry.js';
import { mapMarkerIconName } from '../shapes/map-marker.js';
import { mapIconName } from '../shapes/map.js';
import { onHolidayIconName } from '../shapes/on-holiday.js';
import { trailerIconName } from '../shapes/trailer.js';
import { truckIconName } from '../shapes/truck.js';
export declare const travelCollectionIcons: IconShapeTuple[];
export declare const travelCollectionAliases: IconAlias[];
/**
 * Function that can be called to load the core icon set.
 *
 * ```typescript
 * import '@clr/core/icon/register.js';
 * import { loadTravelIconSet } from '@clr/core/icon';
 *
 * loadTravelIconSet();
 * ```
 *
 */
export declare function loadTravelIconSet(): void;
declare module '@clr/core/internal' {
    interface IconRegistrySources {
        [airplaneIconName]: string;
        [bicycleIconName]: string;
        [boatIconName]: string;
        [carIconName]: string;
        [caravanIconName]: string;
        [campervanIconName]: string;
        [compassIconName]: string;
        [ferryIconName]: string;
        [mapIconName]: string;
        [mapMarkerIconName]: string;
        [onHolidayIconName]: string;
        [trailerIconName]: string;
        [truckIconName]: string;
    }
}
