import { IconAlias, IconAliasLegacyObject, IconRegistry, IconShapeSources, IconShapeTuple } from './interfaces/icon.interfaces.js';
/**
 * ClarityIcons is a static class that gives users the ability to interact with
 * the icon registry. This includes capabilities to add, retrieve, or alias icons
 * in the registry.
 *
 * @privateRemarks
 *
 * The icon registry is private to the module. There is no way to access it directly
 * outside of the module.
 *
 */
export declare class ClarityIcons {
    /**
     * registry() returns a clone of the icon registry, not the actual registry itself.
     * Performing actions on the return value of registry() will not be reflected in the
     * actual iconsRegistry
     */
    static get registry(): IconRegistry;
    static addIcons(...shapes: IconShapeTuple[]): void;
    static addAliases(...aliases: IconAlias[]): void;
    static getIconNameFromShape(iconShape: IconShapeTuple): string;
    /** @deprecated legacy API */
    static get(shapeName?: string): string | IconRegistry;
    /** @deprecated legacy API */
    static add(shapes: IconShapeSources): void;
    /** @deprecated legacy API */
    static alias(alias: IconAliasLegacyObject): void;
}
