/*
 * Copyright (c) 2016-2020 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
export * from './icon.element.js';
export * from './icon.service.js';
export { renderIcon } from './icon.renderer.js';
// SHAPES
export { unknownIcon } from './shapes/unknown.js';
// SHAPES - CORE
export { angleIcon } from './shapes/angle.js';
export { angleDoubleIcon } from './shapes/angle-double.js';
export { arrowIcon } from './shapes/arrow.js';
export { barsIcon } from './shapes/bars.js';
export { bellIcon } from './shapes/bell.js';
export { calendarIcon } from './shapes/calendar.js';
export { checkIcon } from './shapes/check.js';
export { checkCircleIcon } from './shapes/check-circle.js';
export { cloudIcon } from './shapes/cloud.js';
export { cogIcon } from './shapes/cog.js';
export { ellipsisHorizontalIcon } from './shapes/ellipsis-horizontal.js';
export { ellipsisVerticalIcon } from './shapes/ellipsis-vertical.js';
export { errorStandardIcon } from './shapes/error-standard.js';
export { eventIcon } from './shapes/event.js';
export { exclamationCircleIcon } from './shapes/exclamation-circle.js';
export { exclamationTriangleIcon } from './shapes/exclamation-triangle.js';
export { eyeIcon } from './shapes/eye.js';
export { eyeHideIcon } from './shapes/eye-hide.js';
export { filterGridIcon } from './shapes/filter-grid.js';
export { filterGridCircleIcon } from './shapes/filter-grid-circle.js';
export { folderIcon } from './shapes/folder.js';
export { folderOpenIcon } from './shapes/folder-open.js';
export { helpInfoIcon } from './shapes/help-info.js';
export { homeIcon } from './shapes/home.js';
export { imageIcon } from './shapes/image.js';
export { infoCircleIcon } from './shapes/info-circle.js';
export { infoStandardIcon } from './shapes/info-standard.js';
export { searchIcon } from './shapes/search.js';
export { stepForward2Icon } from './shapes/step-forward-2.js';
export { successStandardIcon } from './shapes/success-standard.js';
export { timesIcon } from './shapes/times.js';
export { unknownStatusIcon } from './shapes/unknown-status.js';
export { userIcon } from './shapes/user.js';
export { viewColumnsIcon } from './shapes/view-columns.js';
export { vmBugIcon } from './shapes/vm-bug.js';
export { vmBugInverseIcon } from './shapes/vm-bug-inverse.js';
export { warningStandardIcon } from './shapes/warning-standard.js';
// SHAPES - ESSENTIAL
export { accessibility1Icon } from './shapes/accessibility-1.js';
export { accessibility2Icon } from './shapes/accessibility-2.js';
export { addTextIcon } from './shapes/add-text.js';
export { alarmClockIcon } from './shapes/alarm-clock.js';
export { alarmOffIcon } from './shapes/alarm-off.js';
export { asteriskIcon } from './shapes/asterisk.js';
export { banIcon } from './shapes/ban.js';
export { betaIcon } from './shapes/beta.js';
export { boltIcon } from './shapes/bolt.js';
export { bookIcon } from './shapes/book.js';
export { briefcaseIcon } from './shapes/briefcase.js';
export { bubbleExclamationIcon } from './shapes/bubble-exclamation.js';
export { bugIcon } from './shapes/bug.js';
export { bullseyeIcon } from './shapes/bullseye.js';
export { childArrowIcon } from './shapes/child-arrow.js';
export { circleIcon } from './shapes/circle.js';
export { circleArrowIcon } from './shapes/circle-arrow.js';
export { clipboardIcon } from './shapes/clipboard.js';
export { clockIcon } from './shapes/clock.js';
export { cloneIcon } from './shapes/clone.js';
export { collapseCardIcon } from './shapes/collapse-card.js';
export { colorPaletteIcon } from './shapes/color-palette.js';
export { colorPickerIcon } from './shapes/color-picker.js';
export { copyIcon } from './shapes/copy.js';
export { copyToClipboardIcon } from './shapes/copy-to-clipboard.js';
export { crosshairsIcon } from './shapes/crosshairs.js';
export { cursorArrowIcon } from './shapes/cursor-arrow.js';
export { cursorHandIcon } from './shapes/cursor-hand.js';
export { cursorHandClickIcon } from './shapes/cursor-hand-click.js';
export { cursorHandGrabIcon } from './shapes/cursor-hand-grab.js';
export { cursorHandOpenIcon } from './shapes/cursor-hand-open.js';
export { cursorMoveIcon } from './shapes/cursor-move.js';
export { detailsIcon } from './shapes/details.js';
export { dotCircleIcon } from './shapes/dot-circle.js';
export { downloadIcon } from './shapes/download.js';
export { dragHandleIcon } from './shapes/drag-handle.js';
export { dragHandleCornerIcon } from './shapes/drag-handle-corner.js';
export { eraserIcon } from './shapes/eraser.js';
export { expandCardIcon } from './shapes/expand-card.js';
export { fileIcon } from './shapes/file.js';
export { fileGroupIcon } from './shapes/file-group.js';
export { fileSettingsIcon } from './shapes/file-settings.js';
export { fileZipIcon } from './shapes/file-zip.js';
export { filterIcon } from './shapes/filter.js';
export { filter2Icon } from './shapes/filter-2.js';
export { filterOffIcon } from './shapes/filter-off.js';
export { firewallIcon } from './shapes/firewall.js';
export { firstAidIcon } from './shapes/first-aid.js';
export { fishIcon } from './shapes/fish.js';
export { flameIcon } from './shapes/flame.js';
export { formIcon } from './shapes/form.js';
export { fuelIcon } from './shapes/fuel.js';
export { gridViewIcon } from './shapes/grid-view.js';
export { helpIcon } from './shapes/help.js';
export { historyIcon } from './shapes/history.js';
export { hourglassIcon } from './shapes/hourglass.js';
export { idBadgeIcon } from './shapes/id-badge.js';
export { keyIcon } from './shapes/key.js';
export { landscapeIcon } from './shapes/landscape.js';
export { libraryIcon } from './shapes/library.js';
export { lightbulbIcon } from './shapes/lightbulb.js';
export { listIcon } from './shapes/list.js';
export { lockIcon } from './shapes/lock.js';
export { loginIcon } from './shapes/login.js';
export { logoutIcon } from './shapes/logout.js';
export { minusIcon } from './shapes/minus.js';
export { minusCircleIcon } from './shapes/minus-circle.js';
export { moonIcon } from './shapes/moon.js';
export { newIcon } from './shapes/new.js';
export { noAccessIcon } from './shapes/no-access.js';
export { noteIcon } from './shapes/note.js';
export { objectsIcon } from './shapes/objects.js';
export { organizationIcon } from './shapes/organization.js';
export { paperclipIcon } from './shapes/paperclip.js';
export { pasteIcon } from './shapes/paste.js';
export { pencilIcon } from './shapes/pencil.js';
export { pinIcon } from './shapes/pin.js';
export { pinboardIcon } from './shapes/pinboard.js';
export { plusIcon } from './shapes/plus.js';
export { plusCircleIcon } from './shapes/plus-circle.js';
export { popOutIcon } from './shapes/pop-out.js';
export { portraitIcon } from './shapes/portrait.js';
export { printerIcon } from './shapes/printer.js';
export { recycleIcon } from './shapes/recycle.js';
export { redoIcon } from './shapes/redo.js';
export { refreshIcon } from './shapes/refresh.js';
export { repeatIcon } from './shapes/repeat.js';
export { resizeIcon } from './shapes/resize.js';
export { scissorsIcon } from './shapes/scissors.js';
export { scrollIcon } from './shapes/scroll.js';
export { shrinkIcon } from './shapes/shrink.js';
export { sliderIcon } from './shapes/slider.js';
export { snowflakeIcon } from './shapes/snowflake.js';
export { sortByIcon } from './shapes/sort-by.js';
export { sunIcon } from './shapes/sun.js';
export { switchIcon } from './shapes/switch.js';
export { syncIcon } from './shapes/sync.js';
export { tableIcon } from './shapes/table.js';
export { tagIcon } from './shapes/tag.js';
export { tagsIcon } from './shapes/tags.js';
export { targetIcon } from './shapes/target.js';
export { thermometerIcon } from './shapes/thermometer.js';
export { timesCircleIcon } from './shapes/times-circle.js';
export { toolsIcon } from './shapes/tools.js';
export { trashIcon } from './shapes/trash.js';
export { treeIcon } from './shapes/tree.js';
export { treeViewIcon } from './shapes/tree-view.js';
export { twoWayArrowsIcon } from './shapes/two-way-arrows.js';
export { undoIcon } from './shapes/undo.js';
export { unlockIcon } from './shapes/unlock.js';
export { uploadIcon } from './shapes/upload.js';
export { usersIcon } from './shapes/users.js';
export { viewCardsIcon } from './shapes/view-cards.js';
export { viewListIcon } from './shapes/view-list.js';
export { volumeIcon } from './shapes/volume.js';
export { wandIcon } from './shapes/wand.js';
export { windowCloseIcon } from './shapes/window-close.js';
export { windowMaxIcon } from './shapes/window-max.js';
export { windowMinIcon } from './shapes/window-min.js';
export { windowRestoreIcon } from './shapes/window-restore.js';
export { worldIcon } from './shapes/world.js';
export { wrenchIcon } from './shapes/wrench.js';
export { zoomInIcon } from './shapes/zoom-in.js';
export { zoomOutIcon } from './shapes/zoom-out.js';
// SHAPES - CHARTS
export { axisChartIcon } from './shapes/axis-chart.js';
export { barChartIcon } from './shapes/bar-chart.js';
export { bellCurveIcon } from './shapes/bell-curve.js';
export { boxPlotIcon } from './shapes/box-plot.js';
export { bubbleChartIcon } from './shapes/bubble-chart.js';
export { cloudChartIcon } from './shapes/cloud-chart.js';
export { curveChartIcon } from './shapes/curve-chart.js';
export { gridChartIcon } from './shapes/grid-chart.js';
export { heatMapIcon } from './shapes/heat-map.js';
export { lineChartIcon } from './shapes/line-chart.js';
export { pieChartIcon } from './shapes/pie-chart.js';
export { scatterPlotIcon } from './shapes/scatter-plot.js';
export { tickChartIcon } from './shapes/tick-chart.js';
// SHAPES - COMMERCE
export { bankIcon } from './shapes/bank.js';
export { bitcoinIcon } from './shapes/bitcoin.js';
export { calculatorIcon } from './shapes/calculator.js';
export { coinBagIcon } from './shapes/coin-bag.js';
export { creditCardIcon } from './shapes/credit-card.js';
export { dollarIcon } from './shapes/dollar.js';
export { dollarBillIcon } from './shapes/dollar-bill.js';
export { eCheckIcon } from './shapes/e-check.js';
export { employeeIcon } from './shapes/employee.js';
export { employeeGroupIcon } from './shapes/employee-group.js';
export { euroIcon } from './shapes/euro.js';
export { factoryIcon } from './shapes/factory.js';
export { pesoIcon } from './shapes/peso.js';
export { piggyBankIcon } from './shapes/piggy-bank.js';
export { poundIcon } from './shapes/pound.js';
export { rubleIcon } from './shapes/ruble.js';
export { rupeeIcon } from './shapes/rupee.js';
export { shoppingBagIcon } from './shapes/shopping-bag.js';
export { shoppingCartIcon } from './shapes/shopping-cart.js';
export { storeIcon } from './shapes/store.js';
export { walletIcon } from './shapes/wallet.js';
export { wonIcon } from './shapes/won.js';
export { yenIcon } from './shapes/yen.js';
// SHAPES - MEDIA
export { cameraIcon } from './shapes/camera.js';
export { fastForwardIcon } from './shapes/fast-forward.js';
export { filmStripIcon } from './shapes/film-strip.js';
export { headphonesIcon } from './shapes/headphones.js';
export { imageGalleryIcon } from './shapes/image-gallery.js';
export { microphoneIcon } from './shapes/microphone.js';
export { microphoneMuteIcon } from './shapes/microphone-mute.js';
export { musicNoteIcon } from './shapes/music-note.js';
export { pauseIcon } from './shapes/pause.js';
export { playIcon } from './shapes/play.js';
export { powerIcon } from './shapes/power.js';
export { replayAllIcon } from './shapes/replay-all.js';
export { replayOneIcon } from './shapes/replay-one.js';
export { rewindIcon } from './shapes/rewind.js';
export { shuffleIcon } from './shapes/shuffle.js';
export { stepForwardIcon } from './shapes/step-forward.js';
export { stopIcon } from './shapes/stop.js';
export { videoCameraIcon } from './shapes/video-camera.js';
export { videoGalleryIcon } from './shapes/video-gallery.js';
export { volumeDownIcon } from './shapes/volume-down.js';
export { volumeMuteIcon } from './shapes/volume-mute.js';
export { volumeUpIcon } from './shapes/volume-up.js';
// SHAPES - MINI
export { arrowMiniIcon } from './shapes/arrow-mini.js';
export { calendarMiniIcon } from './shapes/calendar-mini.js';
export { checkCircleMiniIcon } from './shapes/check-circle-mini.js';
export { checkMiniIcon } from './shapes/check-mini.js';
export { errorMiniIcon } from './shapes/error-mini.js';
export { eventMiniIcon } from './shapes/event-mini.js';
export { filterGridCircleMiniIcon } from './shapes/filter-grid-circle-mini.js';
export { filterGridMiniIcon } from './shapes/filter-grid-mini.js';
export { infoCircleMiniIcon } from './shapes/info-circle-mini.js';
export { timesMiniIcon } from './shapes/times-mini.js';
export { warningMiniIcon } from './shapes/warning-mini.js';
// SHAPES - TECHNOLOGY
export { administratorIcon } from './shapes/administrator.js';
export { animationIcon } from './shapes/animation.js';
export { applicationIcon } from './shapes/application.js';
export { applicationsIcon } from './shapes/applications.js';
export { archiveIcon } from './shapes/archive.js';
export { assignUserIcon } from './shapes/assign-user.js';
export { atomIcon } from './shapes/atom.js';
export { backupIcon } from './shapes/backup.js';
export { backupRestoreIcon } from './shapes/backup-restore.js';
export { barCodeIcon } from './shapes/bar-code.js';
export { batteryIcon } from './shapes/battery.js';
export { blockIcon } from './shapes/block.js';
export { blocksGroupIcon } from './shapes/blocks-group.js';
export { bluetoothIcon } from './shapes/bluetooth.js';
export { bluetoothOffIcon } from './shapes/bluetooth-off.js';
export { buildingIcon } from './shapes/building.js';
export { bundleIcon } from './shapes/bundle.js';
export { capacitorIcon } from './shapes/capacitor.js';
export { cdDvdIcon } from './shapes/cd-dvd.js';
export { certificateIcon } from './shapes/certificate.js';
export { ciCdIcon } from './shapes/ci-cd.js';
export { cloudNetworkIcon } from './shapes/cloud-network.js';
export { cloudScaleIcon } from './shapes/cloud-scale.js';
export { cloudTrafficIcon } from './shapes/cloud-traffic.js';
export { clusterIcon } from './shapes/cluster.js';
export { codeIcon } from './shapes/code.js';
export { computerIcon } from './shapes/computer.js';
export { connectIcon } from './shapes/connect.js';
export { containerIcon } from './shapes/container.js';
export { containerVolumeIcon } from './shapes/container-volume.js';
export { controlLunIcon } from './shapes/control-lun.js';
export { cpuIcon } from './shapes/cpu.js';
export { dashboardIcon } from './shapes/dashboard.js';
export { dataClusterIcon } from './shapes/data-cluster.js';
export { deployIcon } from './shapes/deploy.js';
export { devicesIcon } from './shapes/devices.js';
export { disconnectIcon } from './shapes/disconnect.js';
export { displayIcon } from './shapes/display.js';
export { downloadCloudIcon } from './shapes/download-cloud.js';
export { exportIcon } from './shapes/export.js';
export { fileShareIcon } from './shapes/file-share.js';
export { fileShare2Icon } from './shapes/file-share-2.js';
export { flaskIcon } from './shapes/flask.js';
export { floppyIcon } from './shapes/floppy.js';
export { hardDiskIcon } from './shapes/hard-disk.js';
export { hardDriveIcon } from './shapes/hard-drive.js';
export { hardDriveDisksIcon } from './shapes/hard-drive-disks.js';
export { helixIcon } from './shapes/helix.js';
export { hostIcon } from './shapes/host.js';
export { hostGroupIcon } from './shapes/host-group.js';
export { importIcon } from './shapes/import.js';
export { inductorIcon } from './shapes/inductor.js';
export { installIcon } from './shapes/install.js';
export { keyboardIcon } from './shapes/keyboard.js';
export { layersIcon } from './shapes/layers.js';
export { linkIcon } from './shapes/link.js';
export { mediaChangerIcon } from './shapes/media-changer.js';
export { memoryIcon } from './shapes/memory.js';
export { mobileIcon } from './shapes/mobile.js';
export { mouseIcon } from './shapes/mouse.js';
export { namespaceIcon } from './shapes/namespace.js';
export { networkGlobeIcon } from './shapes/network-globe.js';
export { networkSettingsIcon } from './shapes/network-settings.js';
export { networkSwitchIcon } from './shapes/network-switch.js';
export { noWifiIcon } from './shapes/no-wifi.js';
export { nodeIcon } from './shapes/node.js';
export { nodeGroupIcon } from './shapes/node-group.js';
export { nodesIcon } from './shapes/nodes.js';
export { nvmeIcon } from './shapes/nvme.js';
export { phoneHandsetIcon } from './shapes/phone-handset.js';
export { pluginIcon } from './shapes/plugin.js';
export { podIcon } from './shapes/pod.js';
export { processOnVmIcon } from './shapes/process-on-vm.js';
export { qrCodeIcon } from './shapes/qr-code.js';
export { rackServerIcon } from './shapes/rack-server.js';
export { radarIcon } from './shapes/radar.js';
export { resistorIcon } from './shapes/resistor.js';
export { resourcePoolIcon } from './shapes/resource-pool.js';
export { routerIcon } from './shapes/router.js';
export { rulerPencilIcon } from './shapes/ruler-pencil.js';
export { shieldIcon } from './shapes/shield.js';
export { shieldCheckIcon } from './shapes/shield-check.js';
export { shieldXIcon } from './shapes/shield-x.js';
export { squidIcon } from './shapes/squid.js';
export { ssdIcon } from './shapes/ssd.js';
export { storageIcon } from './shapes/storage.js';
export { storageAdapterIcon } from './shapes/storage-adapter.js';
export { tabletIcon } from './shapes/tablet.js';
export { tapeDriveIcon } from './shapes/tape-drive.js';
export { terminalIcon } from './shapes/terminal.js';
export { unarchiveIcon } from './shapes/unarchive.js';
export { uninstallIcon } from './shapes/uninstall.js';
export { unlinkIcon } from './shapes/unlink.js';
export { uploadCloudIcon } from './shapes/upload-cloud.js';
export { usbIcon } from './shapes/usb.js';
export { vmIcon } from './shapes/vm.js';
export { vmwAppIcon } from './shapes/vmw-app.js';
export { wifiIcon } from './shapes/wifi.js';
// SHAPES - SOCIAL
export { bookmarkIcon } from './shapes/bookmark.js';
export { chatBubbleIcon } from './shapes/chat-bubble.js';
export { crownIcon } from './shapes/crown.js';
export { envelopeIcon } from './shapes/envelope.js';
export { flagIcon } from './shapes/flag.js';
export { halfStarIcon } from './shapes/half-star.js';
export { happyFaceIcon } from './shapes/happy-face.js';
export { hashtagIcon } from './shapes/hashtag.js';
export { heartIcon } from './shapes/heart.js';
export { heartBrokenIcon } from './shapes/heart-broken.js';
export { inboxIcon } from './shapes/inbox.js';
export { neutralFaceIcon } from './shapes/neutral-face.js';
export { pictureIcon } from './shapes/picture.js';
export { sadFaceIcon } from './shapes/sad-face.js';
export { shareIcon } from './shapes/share.js';
export { starIcon } from './shapes/star.js';
export { talkBubblesIcon } from './shapes/talk-bubbles.js';
export { tasksIcon } from './shapes/tasks.js';
export { thumbsDownIcon } from './shapes/thumbs-down.js';
export { thumbsUpIcon } from './shapes/thumbs-up.js';
// SHAPES - TEXT-EDIT
export { alignBottomIcon } from './shapes/align-bottom.js';
export { alignCenterIcon } from './shapes/align-center.js';
export { alignLeftIcon } from './shapes/align-left.js';
export { alignLeftTextIcon } from './shapes/align-left-text.js';
export { alignMiddleIcon } from './shapes/align-middle.js';
export { alignRightIcon } from './shapes/align-right.js';
export { alignRightTextIcon } from './shapes/align-right-text.js';
export { alignTopIcon } from './shapes/align-top.js';
export { blockQuoteIcon } from './shapes/block-quote.js';
export { boldIcon } from './shapes/bold.js';
export { bulletListIcon } from './shapes/bullet-list.js';
export { centerTextIcon } from './shapes/center-text.js';
export { checkboxListIcon } from './shapes/checkbox-list.js';
export { fontSizeIcon } from './shapes/font-size.js';
export { highlighterIcon } from './shapes/highlighter.js';
export { indentIcon } from './shapes/indent.js';
export { italicIcon } from './shapes/italic.js';
export { justifyTextIcon } from './shapes/justify-text.js';
export { languageIcon } from './shapes/language.js';
export { numberListIcon } from './shapes/number-list.js';
export { outdentIcon } from './shapes/outdent.js';
export { paintRollerIcon } from './shapes/paint-roller.js';
export { strikethroughIcon } from './shapes/strikethrough.js';
export { subscriptIcon } from './shapes/subscript.js';
export { superscriptIcon } from './shapes/superscript.js';
export { textIcon } from './shapes/text.js';
export { textColorIcon } from './shapes/text-color.js';
export { underlineIcon } from './shapes/underline.js';
// SHAPES - TRAVEL
export { airplaneIcon } from './shapes/airplane.js';
export { bicycleIcon } from './shapes/bicycle.js';
export { boatIcon } from './shapes/boat.js';
export { campervanIcon } from './shapes/campervan.js';
export { carIcon } from './shapes/car.js';
export { caravanIcon } from './shapes/caravan.js';
export { compassIcon } from './shapes/compass.js';
export { ferryIcon } from './shapes/ferry.js';
export { mapIcon } from './shapes/map.js';
export { mapMarkerIcon } from './shapes/map-marker.js';
export { onHolidayIcon } from './shapes/on-holiday.js';
export { trailerIcon } from './shapes/trailer.js';
export { truckIcon } from './shapes/truck.js';
// COLLECTIONS
export { loadChartIconSet, chartCollectionIcons, chartCollectionAliases } from './collections/chart.js';
export { loadCommerceIconSet, commerceCollectionIcons, commerceCollectionAliases } from './collections/commerce.js';
export { loadCoreIconSet, coreCollectionIcons, coreCollectionAliases } from './collections/core.js';
export { loadEssentialIconSet, essentialCollectionIcons, essentialCollectionAliases } from './collections/essential.js';
export { loadMediaIconSet, mediaCollectionIcons, mediaCollectionAliases } from './collections/media.js';
export { loadMiniIconSet, miniCollectionIcons, miniCollectionAliases } from './collections/mini.js';
export { loadTechnologyIconSet, technologyCollectionIcons, technologyCollectionAliases, } from './collections/technology.js';
export { loadSocialIconSet, socialCollectionIcons, socialCollectionAliases } from './collections/social.js';
export { loadTextEditIconSet, textEditCollectionIcons, textEditCollectionAliases } from './collections/text-edit.js';
export { loadTravelIconSet, travelCollectionIcons, travelCollectionAliases } from './collections/travel.js';
//# sourceMappingURL=index.js.map