import { CdsIcon } from '../icon.element.js';
import { IconShapeCollection } from '../interfaces/icon.interfaces.js';
export declare enum IconSvgClassnames {
    Badged = "can-badge",
    Alerted = "can-alert",
    Solid = "has-solid"
}
export declare enum IconDecorationClassnames {
    Badge = "clr-i-badge",
    Alert = "clr-i-alert"
}
export declare enum IconShapeClassnames {
    Outline = "outline",
    Solid = "solid",
    OutlineBadged = "outline--badged",
    OutlineAlerted = "outline--alerted",
    SolidBadged = "solid--badged",
    SolidAlerted = "solid--alerted"
}
export declare function getShapeClassname(shapeType: string): string;
export declare enum IconTshirtSizes {
    ExtraSmall = "xs",
    Small = "sm",
    Medium = "md",
    Large = "lg",
    ExtraLarge = "xl",
    ExtraExtraLarge = "xxl"
}
export declare const iconTshirtSizeClassnamePrefix = "clr-i-size-";
export declare function getIconTshirtSizeClassname(sizeToLookup: string, prefix?: string, sizes?: typeof IconTshirtSizes): string;
export declare function getAllIconTshirtSizeClassnames(prefix?: string, sizes?: typeof IconTshirtSizes): string[];
export declare function isIconTshirtSizeClassname(classname: string, sizes?: typeof IconTshirtSizes): boolean;
export declare function getIconSvgClasses(icon: IconShapeCollection): string;
export declare enum SizeUpdateStrategies {
    BadSizeValue = "bad-value",
    ValidSizeString = "value-is-string",
    ValidNumericString = "value-is-numeric",
    NilSizeValue = "value-is-nil"
}
export declare function getUpdateSizeStrategy(size: string): SizeUpdateStrategies;
export declare function updateIconSizeStyleOrClassnames(el: CdsIcon, size: string): void;
