/*
 * Copyright (c) 2016-2020 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
import { existsInWindow } from '../utils/exists.js';
// exported for tests
export const cssVarsDefaultConfig = {
    onlyLegacy: true,
    updateURLs: false,
    updateDOM: true,
    onComplete: (_cssText, _styleElms, cssVariables) => {
        if (existsInWindow(['ShadyCSS', 'styleDocument'])) {
            window.ShadyCSS.styleDocument(cssVariables);
        }
    },
};
export function runCssVarsPolyfill(ponyfill, config = cssVarsDefaultConfig) {
    ponyfill(config);
    return ponyfill.name ? ponyfill.name : 'anonymous fn';
}
//# sourceMappingURL=css-vars.js.map