import { ClrCommonStrings } from './common-strings.interface.js';
export declare class CommonStringsServiceInternal {
    /**
     * Access to all of the keys as strings
     */
    get keys(): Readonly<ClrCommonStrings>;
    private strings;
    /**
     * Allows you to pass in new overrides for localization
     */
    localize(overrides: Partial<ClrCommonStrings>): void;
    /**
     * Parse a string with a set of tokens to replace
     */
    parse(source: string, tokens?: {
        [key: string]: string;
    }): string;
}
/**
 * I18n service for updating internalized component strings
 *
 * ```typescript
 * import { CommonStringsService } from '@clr/core';
 *
 * CommonStringsService.keys.success // 'success'
 * ```
 */
export declare const CommonStringsService: CommonStringsServiceInternal;
