import { CdsInternalControlInline } from '@clr/core/forms';
/**
 * Toggle
 *
 * ```typescript
 * import '@clr/core/toggle/register.js';
 * ```
 *
 * ```html
 * <cds-toggle>
 *   <label>Toggle</label>
 *   <input type="checkbox" />
 * </cds-toggle>
 * ```
 *
 * @element cds-toggle
 * @slot - For projecting checkbox
 * @cssprop --background
 * @cssprop --border
 * @cssprop --border-radius
 * @cssprop --height
 * @cssprop --width
 * @cssprop --anchor-background
 * @cssprop --anchor-border-radius
 * @cssprop --anchor-width
 * @cssprop --anchor-height
 */
export declare class CdsToggle extends CdsInternalControlInline {
    protected checked: boolean;
    static get styles(): import("lit-element").CSSResult[];
    firstUpdated(props: Map<string, any>): void;
}
